package com.gosingapore.api;

import com.gosingapore.api.factory.RemoteLogFallbackFactory;
import com.cloud.gs.hiring.base.constants.ServiceNameConstants;
import com.cloud.gs.hiring.base.util.ApiResult;
import com.cloud.gs.hiring.common.model.domain.ErpSysOperateLog;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

/**
 * 日志服务
 * 
 * @author ziyi
 */
@FeignClient(contextId = "remoteLogService", value = ServiceNameConstants.OPERATE_SERVICE, fallbackFactory = RemoteLogFallbackFactory.class)
public interface RemoteLogService
{
    /**
     * 保存系统日志
     *
     * @param sysOperateLog 日志实体
     * @return 结果
     */
    @PostMapping("/log/saveOperateLog")
    ApiResult<?> saveLog(@RequestBody ErpSysOperateLog sysOperateLog);

}
