package com.gosingapore.api;

import com.gosingapore.api.factory.RemoteMessageFallbackFactory;
import com.cloud.gs.hiring.base.constants.ServiceNameConstants;
import com.cloud.gs.hiring.base.util.ApiResult;
import com.cloud.gs.hiring.common.model.domain.message.ErpMessage;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

/**
 * @author ziyi
 */
@FeignClient(contextId = "remoteMessageService", value = ServiceNameConstants.ADVISER_SERVICE, fallbackFactory = RemoteMessageFallbackFactory.class)
public interface RemoteMessageService
{

    /**
     * 保存 消息以及状态
     *
     * @param message 消息实体
     * @return 结果
     */
    @PostMapping("/message/saveMessageAndMark")
    ApiResult<?> saveMessageAndMark(@RequestBody ErpMessage message);
}
