package com.gosingapore.api.factory;

import com.gosingapore.api.RemoteMessageService;
import com.cloud.gs.hiring.base.util.ApiResult;
import com.cloud.gs.hiring.common.model.domain.ErpSysOperateLog;
import com.cloud.gs.hiring.common.model.domain.message.ErpMessage;
import feign.hystrix.FallbackFactory;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

/**
 * 日志服务降级处理
 * 
 * @author ziyi
 */
@Component
@Slf4j
public class RemoteMessageFallbackFactory implements FallbackFactory<RemoteMessageService>
{

    @Override
    public RemoteMessageService create(Throwable throwable) {
        log.error("消息服务调用失败:{}", throwable.getMessage());
        return new RemoteMessageService() {
            @Override
            public ApiResult<?> saveMessageAndMark(ErpMessage message) {
                return null;
            }
        };
    }
}
