package com.gosingapore.api.factory;

import com.gosingapore.api.RemoteResourceService;
import com.cloud.gs.hiring.common.model.domain.ErpSysDict;
import com.cloud.gs.hiring.common.model.dto.ErpHometownDTO;
import com.cloud.gs.hiring.common.model.dto.ErpIndustryDTO;
import com.cloud.gs.hiring.common.model.dto.ErpRegionDTO;
import com.cloud.gs.hiring.common.model.dto.ErpSubwayDTO;
import feign.hystrix.FallbackFactory;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

import java.util.List;
import java.util.Map;

/**
 * 资源服务降级处理
 *
 * @author copying
 * @version 3.0
 * @date 2021/3/18 8:29
 */
@Component
@Slf4j
public class RemoteResourceFallbackFactory implements FallbackFactory<RemoteResourceService> {
    @Override
    public RemoteResourceService create(Throwable throwable) {
        log.error("资源服务调用失败:{}", throwable.getMessage());
        return new RemoteResourceService() {
            @Override
            public Map<Integer, List<ErpSysDict>> selectSysDict(Integer codeType) {
                return null;
            }

            @Override
            public List<ErpSubwayDTO> selectSubway() {
                return null;
            }

            @Override
            public List<ErpRegionDTO> selectRegion() {
                return null;
            }

            @Override
            public List<ErpHometownDTO> selectHometown() {
                return null;
            }

            @Override
            public List<ErpIndustryDTO> selectIndustry() {
                return null;
            }
        };
    }
}
