package com.gosingapore.api.factory;

import com.gosingapore.api.RemoteTokensService;
import com.cloud.gs.hiring.base.util.ApiResult;
import feign.hystrix.FallbackFactory;
import lombok.extern.slf4j.Slf4j;
import org.springframework.security.oauth2.common.OAuth2AccessToken;
import org.springframework.stereotype.Component;

/**
 * 用户服务降级处理
 * 
 * @author lsl
 */
@Component
@Slf4j
public class RemoteTokenFallbackFactory implements FallbackFactory<RemoteTokensService>
{
    @Override
    public RemoteTokensService create(Throwable throwable)
    {
        log.error("服务调用失败:{}", throwable.getMessage());
        return new RemoteTokensService(){

            @Override
            public ApiResult<OAuth2AccessToken> getToken(String username) {
                return null;
            }

            @Override
            public ApiResult<?> removeAccessToken(String token) {
                return null;
            }

            @Override
            public void removeErpAccessToken(String username) {

            }
        };
    }
}
