package com.gosingapore.common.config;

import com.gosingapore.common.processor.MyResourceBundleMessageInterpolator;
import org.hibernate.validator.HibernateValidator;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

import javax.validation.Validation;
import javax.validation.Validator;
import javax.validation.ValidatorFactory;

/**
 * 自定义参数校验器
 * @author shuyan
 */
@Configuration
public class ValidationConfig {

    @Bean
    public Validator validator(){
        ValidatorFactory validatorFactory = Validation.byProvider( HibernateValidator.class )
                .configure()
                // 校验到1个未通过的参数就返回
                .failFast(true)
                // 使用自定义的资源绑定器，来根据语言返回信息
                .messageInterpolator(new MyResourceBundleMessageInterpolator())
                .buildValidatorFactory();
        return validatorFactory.getValidator();
    }
}
