package com.gosingapore.common.constants;

import java.time.Instant;

/**
 * @author guocong
 * @date 2020/1/10 13:07
 */
public interface CommonConstants {
    /**
     * 地铁站数据缓存
     */
    String SUBWAYS = "subways";
    /**
     * 开关数据缓存
     */
    String SERVICE_SWITCH = "service_switch";
    /**
     * 省市县（区）缓存
     */
    String CH_LIST = "ch_list";
    /**
     * 马来家乡缓存
     */
    String ML_LIST = "ml_list";
    /**
     * 职位类别缓存
     */
    String INDUSTRY_LIST = "industry_list";
    /**
     * 福利待遇
     */
    String WELFARE_LIST = "welfare_list";
    /**
     * 短信相关
     */

    String REDIS_SMS_CODE_PREFIX = "gs_sms_code_";

    Integer REDIS_SMS_CODE_EXPIRE = 600;

    Integer SMS_RESEND_TIME = 60;

    /**
     * 同一中介最大负责文员数量限制
     */
    Integer WY_MAX_INTERMEDIARY_COUNT = 2;

    Instant INSTANT_2000 = Instant.parse("2000-01-01T00:00:00Z");

    /**
     * 融云消息发送人
     */
    String IM_SEND_LIST = "send_list";

    /**
     * 融云消息接收人
     */
    String IM_RECEIVE_LIST = "receive_list";

    /**
     * 融云请求成功参数
     */
    Integer RONG_RESULT_CODE = 200;

    /**
     * 字典表
     */
    String GS_SYS_DICT = "gs_sys_dict";

    /** redis 接口幂等key前缀 */
    String IDEMPOTENT_API_KEY = "IDEMPOTENT_API_";

    /**
     * 提现积分校验
     */
    Integer EXCHANGE_INTEGRAL = 200;

    /**
     * 体现积分整数校验
     */
    Integer CASH_OUT_INTEGRAL = 100;

    /**
     * 雇主首页推荐的工人的id集合
     */
    String CUSTOMER_RECOMMEND_IDS = "customer_recommend_ids";

    /**
     * app工人端首页推荐职位的id集合
     */
    String COMMISSIONER_JOB_RECOMMEND_IDS = "commissioner_job_recommend_ids";

    /**
     * app工人端首页推荐职位的id集合
     */
    String CUSTOMER_JOB_RECOMMEND_IDS = "customer_job_recommend_ids";

    /**
     * token 放到请求头 用于接口幂等
     */
    String TOKEN = "token";
}
