package com.gosingapore.common.constants;

/**
 * @author fangqiguang
 * @date 2020/7/15
 */
public interface FinancialConstants {

    /**
     * NO_CONFIRMED 未确认
     * CONFIRMED 已确认
     * DISMISSED 忽略
     */
    Integer NO_CONFIRMED = 0;
    Integer CONFIRMED = 1;
    Integer DISMISSED = 2;

    /**
     * 财务角色Code简写,判断用，不是真的角色code
     * CASHIER 出纳
     * ACCOUNTANT 会计
     * CAIWU 财务经理
     */
    String CASHIER = "CASHIER";
    String ACCOUNTANT = "ACCOUNTANT";
    String CAIWU = "CAIWU";

    /**
     * 业务和文员接收财务消息的 跳转页面
     * CUSTOMER_CHARGE_LIST 工人总收费列表页面
     * CUSTOMER_CHARGE_DETAIL 工人收费明细页面
     * REFUND_INTERMEDIARY 文员发起赔偿页面
     */
    String CUSTOMER_CHARGE_LIST = "customer-charge-list";
    String CUSTOMER_CHARGE_DETAIL = "customer-charge-detail";
    String REFUND_INTERMEDIARY = "refund-intermediary";


}
