package com.gosingapore.common.constants;

/**
 * @author shuyan
 */
public interface RabbitMqConstants {
    /**
     * rabbitMq延时队列的延时时间最大为：2^32 - 1 ms
     */
    Long DELAY_MAX_MS = new Double(Math.pow(2, 32)).longValue() - 1;
    /**
     * 交换机延时类型key
     */
    String EXCHANGE_X_DELAYED_TYPE = "x-delayed-type";
    /**
     * 交换机类型：direct
     */
    String EXCHANGE_TYPE_DIRECT = "direct";
    /**
     * 交换机类型：direct
     */
    String EXCHANGE_TYPE_DELAY_MSG = "x-delayed-message";
    /**
     * 延时消息请求头，用于设置延时多少毫秒
     */
    String X_DELAY_HEADER = "x-delay";
    /**
     * 短信队列
     */
    String SMS_QUEUE = "hiring_sms_queue";

    /**
     * websocket 消息推送交换机
     */
    String ERP_MESSAGE_EXCHANGE = "erp_message_exchange";
    /**
     * websocket 消息推送队列
     */
    String ERP_MESSAGE_QUEUE = "erp_message_queue";

    /**
     * websocket 路由键
     */
    String ERP_MESSAGE_ROUTING_KEY = "erp_message_routing_key";

    /**
     * es 职位消息推送交换机
     */
    String ERP_ES_JOB_EXCHANGE = "erp_es_job_exchange";
    /**
     * es 职位消息推送队列
     */
    String ERP_ES_JOB_QUEUE = "erp_es_job_queue";

    /**
     * es队列 职位路由键
     */
    String ERP_ES_JOB_ROUTING_KEY = "erp_es_job_routing_key";

    /**
     * es 职位消息推送交换机
     */
    String ERP_ES_CUSTOMER_EXCHANGE = "erp_es_customer_exchange";
    /**
     * es 职位消息推送队列
     */
    String ERP_ES_CUSTOMER_QUEUE = "erp_es_customer_queue";

    /**
     * es队列 职位路由键
     */
    String ERP_ES_CUSTOMER_ROUTING_KEY = "erp_es_customer_routing_key";

    /**
     * 任务完成消息推送
     */
    String TASK_COMPLETE = "hiring_task_complete_queue";
    /**
     * canal同步mysql(主从模式)
     */
    String EXCHANGE_CANAL_QSC_SYNC = "hiring_canal_qsc_sync";
    /**
     * 去狮城bin log同步
     */
    String QSC_BIN_LOG = "hiring_qsc_bin_log_queue";
    /**
     * can qsc 的 Routing Key
     */
    String CANAL_QSC_ROUTING_KEY = "hiring_canal_qsc_routing_key";
    /**
     * 工人姓名IM同步
     */
    String CUSTOMER_NAME_IM_SYNC = "customer_name_im_sync";
}
