package com.gosingapore.common.constants;

import java.util.regex.Pattern;

/**
 * Regex 的 Pattern常量
 * 为什么用常量: 在使用正则表达式时，利用好其预编译功能，可以有效加快正则匹配速度。
 * 说明：不要在方法体内定义：Pattern pattern = Pattern.compile(规则);
 *
 * @author ZhangJinyu
 * @since 2020-09-16
 */
public class RegexPatternConstants {
    /**
     * IPV4地址
     */
    public static final Pattern PATTERN_IPV4 = Pattern.compile(RegExpConstants.IPV4);
    /**
     * 中国手机号
     */
    public static final Pattern PATTERN_CHINA_MOBILE = Pattern.compile(RegExpConstants.CHINA_MOBILE);
    /**
     * 新加坡手机号
     */
    public static final Pattern PATTERN_SINGAPORE_MOBILE = Pattern.compile(RegExpConstants.SINGAPORE_MOBILE);
    /**
     * 新加坡固定电话
     */
    public static final Pattern PATTERN_SINGAPORE_FIXED_TELEPHONE = Pattern.compile(RegExpConstants.SINGAPORE_FIXED_TELEPHONE);
    /**
     * 马来西亚手机号
     */
    public static final Pattern PATTERN_MALAYSIA_MOBILE = Pattern.compile(RegExpConstants.MALAYSIA_MOBILE);
    /**
     * 越南手机号
     */
    public static final Pattern PATTERN_VIETNAM_MOBILE = Pattern.compile(RegExpConstants.VIETNAM_MOBILE);
    /**
     * 印度手机号
     */
    public static final Pattern PATTERN_INDIA_MOBILE = Pattern.compile(RegExpConstants.INDIA_MOBILE);
    /**
     * 其它国家的
     */
    public static final Pattern PATTERN_OTHER_COUNTRY_MOBILE = Pattern.compile(RegExpConstants.OTHER_COUNTRY_MOBILE);
    /**
     * url
     */
    public static final Pattern PATTERN_URL = Pattern.compile(RegExpConstants.URL);
    /**
     * Windows下文件名中的无效字符
     */
    public static final Pattern PATTERN_FILE_NAME_INVALID_PATTERN_WIN = Pattern.compile(RegExpConstants.FILE_NAME_INVALID_PATTERN_WIN);
}
