package com.gosingapore.common.constants;

/**
 * @author fangqiguang
 * @date 2020/7/6
 */
public interface SaleAfterConstants {

    /**
     * 操作记录，备注角色区分
     * YEWU 业务
     * DIANWEN_OR_WENYUAN 电文
     * KEFU 客服
     */
    String YEWU = "YEWU";
    String DIANWEN_OR_WENYUAN = "DIANWEN_OR_WENYUAN";
    String KEFU = "KEFU";
    String KEFU_NORMAL = "KEFU_NORMAL";
    /**
     * 经理审核状态
     * DEFAULT 默认-1无意义
     * PENDING 待审核
     * AGREE 同意
     * REJECT 驳回
     */
    Integer DEFAULT = -1;
    Integer PENDING = 0;
    Integer AGREE = 1;
    Integer REJECT = 2;

    /**
     * 售后单审批流程状态
     * 0 不需要审核 ,1经理审核, 2财务退款 3财务退款完结 4完结
     */
    Integer PROCESS_NO_AUDIT = 0;
    Integer PROCESS_LEADER = 1;
    Integer PROCESS_FINANCE = 2;
    Integer PROCESS_FINANCE_END = 3;
    Integer PROCESS_END = 4;

    /**
     * 售后单处理状态
     * HAND_PENDING 待处理
     * HAND_PROCESSING 处理中
     * HAND_COMPLETED 完成
     */
    Integer HAND_PENDING = 0;
    Integer HAND_PROCESSING = 1;
    Integer HAND_COMPLETED = 2;
    /**
     * 操作记录文案
     * 上传售后文件文案
     * 添加备注文案
     */
    String UP_SALE_AFTER_FILE = "上传售后文件";
    String ADD_REMARKS = "添加了一条备注";

    /**
     * 售后消息提醒跳转类型
     * JUMP_LIST 跳转售后列表
     * JUMP_DETAIL 跳转售后详情
     */
    String SALE_AFTER_LIST = "sale-after-list";
    String SALE_AFTER_DETAIL = "sale-after-detail";

    /**
     * 是否是提交售后单操作 0否，1是
     */
    Integer NO_SUBMIT = 0;
    Integer IS_SUBMIT = 1;

}
