package com.gosingapore.common.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author ZhangJinyu
 * @since 2020-10-13
 */
@Getter
@AllArgsConstructor
public enum AdClientTypeEnum {
    /**
     * 未知的
     */
    UNKNOWN(null, "未知的"),
    /**
     * 全部
     */
    ALL(0, "全部"),
    /**
     * 工人
     */
    CUSTOMER(1, "工人"),
    /**
     * 雇主
     */
    EMPLOYER(2, "雇主"),
    /**
     * 专员
     */
    COMMISSIONER(3, "专员");
    final Integer clientType;
    final String clientTypeName;

    public static AdClientTypeEnum get(Integer clientType) {
        for (AdClientTypeEnum value : values()) {
            if (!value.equals(UNKNOWN)) {
                if (value.clientType.equals(clientType)) {
                    return value;
                }
            }
        }
        return UNKNOWN;
    }
}
