package com.gosingapore.common.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * APP客户端类型
 *
 * @author ZhangJinyu
 * @since 2020-09-25
 */
@Getter
@Deprecated
@AllArgsConstructor
public enum AppClientTypeEnum {
    /**
     * 所有端
     */
    ALL("ALL", "所有"),
    /**
     * 所有工人端
     */
    WORKER("WORKER", "工人端"),
    /**
     * android 工人端
     */
    WORKER_ANDROID("WORKER_ANDROID", "工人android端"),
    /**
     * IOS 工人端
     */
    WORKER_IOS("WORKER_IOS", "工人ios端"),
    /**
     * 工人PC端
     */
    WORKER_PC("WORKER_PC", "工人pc端"),
    /**
     * 所有雇主端
     */
    EMPLOYER("EMPLOYER", "雇主端"),
    /**
     * 雇主android端
     */
    EMPLOYER_ANDROID("EMPLOYER_ANDROID", "雇主android端"),
    /**
     * 雇主IOS端
     */
    EMPLOYER_IOS("EMPLOYER_IOS", "雇主ios端"),
    /**
     * 雇主PC端
     */
    EMPLOYER_PC("EMPLOYER_PC", "雇主pc端"),
    ;
    /**
     * app客户端类型
     */
    final String appClientType;
    /**
     * app客户端类型名称
     */
    final String appClientTypeName;

    public static AppClientTypeEnum get(String appClientType) {
        for (AppClientTypeEnum value : values()) {
            if (value.appClientType.equalsIgnoreCase(appClientType)) {
                return value;
            }
        }
        return ALL;
    }
}
