package com.gosingapore.common.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * app消息推送导的跳转类型
 *
 * @author shuyan
 * @date 2020/4/22 19:17
 */
@AllArgsConstructor
public enum AppMsgJumpTypeEnum {
    /**
     * DELIVERY 投递推送
     * RECOMMEND 推荐推送
     * INVITE 邀约推送
     * INTERVIEW 发起面试时的推送
     * RESUME_CONFIRM 确认简历的推送
     * CHECKED 选中时发起的推送
     * COMPLETE 手续完成时的推送
     * JOB 职位审核通过
     * JOB_DETAIL 职位详情内容
     */
    DELIVERY("DELIVERY"),
    RECOMMEND("RECOMMEND"),
    INVITE("INVITE"),
    INTERVIEW("INTERVIEW"),
    RESUME_CONFIRM("RESUME_CONFIRM"),
    CHECKED("CHECKED"),
    PROCEDURE_ITEM_REVEAL("PROCEDURE_ITEM_REVEAL"),
    PROCEDURE_COMPLETE("PROCEDURE_COMPLETE"),
    JOB("JOB"),
    JOB_DETAIL("JOB_DETAIL"),
    ;
    @Getter
    String code;

    public static AppMsgJumpTypeEnum instanceOf(String code) {
        for (AppMsgJumpTypeEnum typeEnum : AppMsgJumpTypeEnum.values()) {
            if (typeEnum.getCode().equalsIgnoreCase(code)) {
                return typeEnum;
            }
        }
        return null;
    }
}
