package com.gosingapore.common.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author guocong
 * @date 2020/5/5 13:02
 */
@AllArgsConstructor
public enum AppTypeEnum {
    /**
     * 未知
     */
    NONE(0, "未知", "Unknown"),
    /**
     * 工人端
     */
    CUSTOMER(1, "工人端", "Worker"),
    /**
     * 雇主端
     */
    EMPLOYER(2, "雇主端", "Employer");

    @Getter
    private final Integer value;
    private final String chName;
    private final String enName;

    public static AppTypeEnum get(Integer appType) {
        for (AppTypeEnum value : values()) {
            if (value.value.equals(appType)) {
                return value;
            }
        }
        return NONE;
    }

    public String getChName() {
        return chName;
    }

    public String getEnName() {
        return enName;
    }

    public String getName(boolean chineseLanguage) {
        return chineseLanguage ? chName : enName;
    }
}
