package com.gosingapore.common.enums;

import lombok.Getter;
import org.springframework.util.CollectionUtils;

import java.util.ArrayList;
import java.util.List;

/**
 * @author ljq
 * @date 2020/2/19
 */
public enum CpRoleEnum {
    /**
     * CP_BOSS：伙伴中介公司老板
     * CP_ADMIN：中介公司管理员
     * CP_DIANWEN：伙伴中介电文
     * CP_CONTACT：合作中介负责人
     * CP_UP_CONTACT：合作中介负责人升级后
     * CP_CONTACT_ADMIN：合作中介管理员
     */
    CP_BOSS("CP_BOSS"),
    CP_ADMIN("CP_ADMIN"),
    CP_CONTACT_ADMIN("CP_CONTACT_ADMIN"),
    CP_DIANWEN("CP_DIANWEN"),
    CP_CONTACT("CP_CONTACT"),
    CP_UP_CONTACT("CP_UP_CONTACT"),
    ;

    @Getter
    private final String roleCode;
    public static final int PARTY_CODE = 2;
    private static List<String> ROLE_CODES = new ArrayList<>();

    CpRoleEnum(String roleCode) {
        this.roleCode = roleCode;
    }

    public static List<String> getCpRoleList() {
        if (CollectionUtils.isEmpty(ROLE_CODES)) {
            CpRoleEnum[] values = CpRoleEnum.values();
            for (CpRoleEnum item : values) {
                ROLE_CODES.add(item.getRoleCode());
            }
        }
        return ROLE_CODES;
    }

}
