package com.gosingapore.common.enums;

import com.gosingapore.common.exception.CustomizeException;
import lombok.AllArgsConstructor;
import lombok.Getter;

import static com.cloud.gs.hiring.base.util.ResponseCode.COMMON_VALIDATE_ERROR;

/**
 * @author will
 */
@AllArgsConstructor
public enum EsBusinessTypeEnum {
    /**
     *
     */
    SEARCH_JOB(1),
    SEARCH_CUSTOMER(2);

    @Getter
    private Integer value;

    public static EsBusinessTypeEnum valueOf(Integer type){
        EsBusinessTypeEnum[] values = EsBusinessTypeEnum.values();
        for(EsBusinessTypeEnum item : values){
            if(item.value.equals(type)){
                return item;
            }
        }
        throw new CustomizeException(COMMON_VALIDATE_ERROR,"EsBusinessTypeEnum type ：不在允许值范围内","EsBusinessTypeEnum type ：Not in allowed range");
    }
}
