package com.gosingapore.common.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 融云消息回调，消息类型枚举类
 *
 * @author 白海波
 * @date 2020/8/4 10:03
 */
@AllArgsConstructor
public enum ImMsgRoutingTypeEnum {

    /**
     * TXT_MSG:文本消息
     * IMG_MSG:图片消息
     * VC_MSG:语音消息
     * LBS_MSG:位置消息
     */
    TEXT_MSG("RC:TxtMsg"),
    IMAGE_MSG("RC:ImgMsg"),
    VOICE_MSG("RC:VcMsg"),
    FILE_MSG("RC:FileMsg"),
    LBS_MSG("RC:LBSMsg");

    @Getter
    private final String value;

    public static ImMsgRoutingTypeEnum instantOf(String value) {
        for (ImMsgRoutingTypeEnum imMsgRoutingTypeEnum : values()) {
            if (imMsgRoutingTypeEnum.getValue().equals(value)) {
                return imMsgRoutingTypeEnum;
            }
        }
        return null;
    }
}
