package com.gosingapore.common.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 语言
 * @author shuyan
 */

@SuppressWarnings("unused")
@AllArgsConstructor
public enum LanguageTypeEnum {
    /**
     * ZH：    中文
     * EN：    英文
     */
    ZH(1,"zh"),
    EN(2,"en");
    @Getter
    private Integer value;
    @Getter
    private String local;

    public static LanguageTypeEnum instanceOf(String local){
        for(LanguageTypeEnum typeEnum : LanguageTypeEnum.values()){
            if(typeEnum.getLocal().equals(local)){
                return typeEnum;
            }
        }
        return EN;
    }

    public static LanguageTypeEnum instanceOf(Integer value){
        for(LanguageTypeEnum typeEnum : LanguageTypeEnum.values()){
            if(typeEnum.getValue().equals(value)){
                return typeEnum;
            }
        }
        return EN;
    }
}
