package com.gosingapore.common.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * erp消息推送导的跳转类型
 *
 * @author lsl
 * @date 2021/4/1 19:17
 */
@AllArgsConstructor
public enum MsgRemindJumpTypeEnum {

    /**
     * 投递详情
     */
    DELIVERY_DETAILS("delivery_details"),
    /**
     * 客户黑名单
     */
    CUSTOMER_BLACKLIST("customer_blacklist"),
    /**
     * 雇主黑名单
     */
    EMPLOYER_BLACKLIST("employer_blacklist"),
    /**
     * 中介黑名单
     */
    INTERMEDIARY_BLACKLIST("intermediary_blacklist"),
    ;
    @Getter
    String code;
    public static MsgRemindJumpTypeEnum instanceOf(String code) {
        for (MsgRemindJumpTypeEnum typeEnum : MsgRemindJumpTypeEnum.values()) {
            if (typeEnum.getCode().equalsIgnoreCase(code)) {
                return typeEnum;
            }
        }
        return null;
    }
}
