package com.gosingapore.common.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author shuyan
 * @date 2020/7/22 17:46
 */
@AllArgsConstructor
public enum SmsTypeEnum {
    /**
     * VERIFICATION_CODE:    验证码
     * INITIAL_PASSWORD：    初始密码通知
     * NONE_LOGIN           工人未登录通知
     */

    VERIFICATION_CODE(1),
    INITIAL_PASSWORD(2),
    NONE_LOGIN(3);

    @Getter
    Integer value;

    public static SmsTypeEnum instanceOf(Integer value) {
        for (SmsTypeEnum typeEnum : SmsTypeEnum.values()) {
            if (typeEnum.getValue().equals(value)) {
                return typeEnum;
            }
        }
        return null;
    }
}
