package com.gosingapore.common.enums.ai;

import java.math.BigDecimal;

/**
 * @author ZhangJinyu
 * @since 2020-02-15
 */
public enum BodySize implements ICalculateValue {
    /**
     * 大只
     */
    BIG("big"),
    /**
     * 适中
     */
    NORMAL("normal"),
    /**
     * 小只
     */
    SMALL("small");
    private static BigDecimal small = new BigDecimal("18.4");
    private static BigDecimal big = new BigDecimal(28);
    String bodySize;

    BodySize(String bodySize) {
        this.bodySize = bodySize;
    }

    public static BodySize getBodySize(double height, int weight) {
        BigDecimal bni = new BigDecimal(weight).divide(new BigDecimal(height).multiply(new BigDecimal(height)), 2, BigDecimal.ROUND_HALF_UP);
        System.out.println("计算bni:" + bni.toString());
        int smallCompare = bni.compareTo(small);
        int bigCompare = bni.compareTo(big);
        if (smallCompare <= 0) {
            return BodySize.SMALL;
        } else if (bigCompare >= 0) {
            return BodySize.BIG;
        } else {
            return BodySize.NORMAL;
        }
    }

    @Override
    public boolean canUsed() {
        return true;
    }

    @Override
    public String getValue() {
        return bodySize;
    }

}
