package com.gosingapore.common.enums.ai;

/**
 * 计算
 *
 * @author ZhangJinyu
 * @since 2020-02-15
 */
public enum Calculate {
    /**
     * 体型
     */
    BODY_SIZE("BODY_SIZE", BodySize.values());
    String calculateTag;
    ICalculateValue[] calculateValues;
    private DefaultCalculateValue defaultCalculateValue = new DefaultCalculateValue();

    Calculate(String calculateTag, ICalculateValue[] calculateValues) {
        this.calculateTag = calculateTag;
        this.calculateValues = calculateValues;
    }

    public static boolean isCalculate(String calculateTag) {
        for (Calculate value : values()) {
            if (value.calculateTag.equalsIgnoreCase(calculateTag)) {
                return true;
            }
        }
        return false;
    }

    /**
     * 获取计算值
     *
     * @param bodySizeCode
     * @return
     */
    public ICalculateValue getCalculateValue(String bodySizeCode) {
        for (ICalculateValue calculateValue : calculateValues) {
            if (calculateValue.getValue().equalsIgnoreCase(bodySizeCode)) {
                return calculateValue;
            }
        }
        return defaultCalculateValue;
    }

    public ICalculateValue getCalculateResultValue() {

        return defaultCalculateValue;
    }

    public static class DefaultCalculateValue implements ICalculateValue {

        @Override
        public boolean canUsed() {
            return false;
        }

        @Override
        public String getValue() {
            return "";
        }
    }
}
