package com.gosingapore.common.enums.ai;

/**
 * <p>
 * 匹配项维度
 * </p>
 *
 * @author ZhangJinyu
 * @since 2020-01-15
 */
public enum ItemDimenEnum {
    /**
     * 未知类型
     */
    NONE,
    /**
     * 标签
     */
    TAG,
    /**
     * 标签值
     */
    VALUE;

    /**
     * 是否是标签
     *
     * @return true:是标签 false:不是标签
     */
    public boolean isTag() {
        return this.equals(TAG);
    }

    /**
     * 是否是标签值
     *
     * @return true:是值 false:不是值
     */
    public boolean isValue() {
        return this.equals(VALUE);
    }
}
