package com.gosingapore.common.enums.complain;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 对应gs_complain的state的字段
 * ps: 状态的 code 不按顺序来有点奇怪，但是为了维护旧代码（新需求有变更，中间插了新的状态）只能将就了······
 * @author dyh
 * @date 2020/6/8
 */
@Getter
@AllArgsConstructor
public enum ComplainStateEnum {
    TO_BE_PROCESS(0,"待处理"),

    TO_BE_CHECK(2,"待审核"),
    TEMPORARY_STORAGE(3,"暂存"),
    /**
     * 投诉流程已结束
     */
    OVER(1,"已结束"),
    ;

    private Integer code;
    private String value;
}
