package com.gosingapore.common.enums.dict;

import com.cloud.gs.hiring.base.util.ResponseCode;
import com.cloud.gs.hiring.common.enums.*;
import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.ArrayList;
import java.util.List;

/**
 * @author shuyan
 */
@AllArgsConstructor
public enum Dict111PartiesEnum {
    /**
     * SELF：gs_sys_user  自营
     * AGENCY：gs_cp_user 中介
     * COMMISSIONER：gs_commissioner 专员
     * EMPLOYER：gs_employer 雇主
     * CUSTOMER：gs_customer 工人
     * OUT_FACTORY：外包工厂 暂无表
     * PARTNER: 合伙人
     *
     * QSC等于暂无
     */
    SELF(1, "self","slm", "自营", "Self support"),
    AGENCY(2, "agency","pcr", "中介","Agency"),
    COMMISSIONER(3, "commissioner","QSC","专员","Commissioner"),
    EMPLOYER(4, "employer","emr","雇主","Employer"),
    CUSTOMER(5, "customer","eme","工人","CustomerEsDTO"),
    OUT_SOURCE(6, "outSource","agt","外包工厂","Outsourcing factory"),
    PARTNER(7, "partner","ptn","合伙人","Partner");
    @Getter
    private Integer code;
    @Getter
    private String value;
    @Getter
    private String inviteCode;
    @Getter
    private String partyChName;
    @Getter
    private String partyEnName;
    public static final int CODE_TYPE = 111;

    /**
     * 获取服务顾问用户所属方
     *
     * @return 顾问用户所属方
     */
    public static List<Integer> getAdviser() {
        List<Integer> partyCodes = new ArrayList<>();
        partyCodes.add(Dict111PartiesEnum.SELF.getCode());
        partyCodes.add(Dict111PartiesEnum.AGENCY.getCode());
        partyCodes.add(Dict111PartiesEnum.COMMISSIONER.getCode());
        return partyCodes;
    }

    public static Dict111PartiesEnum instanceOf(Integer code) {
        for (Dict111PartiesEnum dict111PartiesEnum : Dict111PartiesEnum.values()) {
            if (dict111PartiesEnum.code.equals(code)) {
                return dict111PartiesEnum;
            }
        }
        return null;
    }

    public static Dict111PartiesEnum instanceOf(String value) {
        for (Dict111PartiesEnum dict111PartiesEnum : Dict111PartiesEnum.values()) {
            if (dict111PartiesEnum.value.equals(value)) {
                return dict111PartiesEnum;
            }
        }
        return null;
    }
}
