package com.gosingapore.common.enums.dict;

import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.ArrayList;
import java.util.List;

/**
 * @author 白海波
 * @date 2020/6/17 16:17
 */
@AllArgsConstructor
@Getter
public enum  Dict150IntegralStatusEnum {

    /**
     * INVITED : 1  已邀请
     * FREEZING : 2 冻结中（预计账户）
     * NON_COMPLIANCE_WITH_ACTIVITY_RULES : 3 不符合活动规则
     * GOT : 4 已获取（实际账户）
     * EXPIRED : 5 已过期
     */
    INVITED(1, "已邀请"),
    FREEZING(2, "预计账户"),
    NON_COMPLIANCE_WITH_ACTIVITY_RULES(3, "不符合活动规则"),
    GOT(4, "实际账户"),
    EXPIRED(5, "已过期"),
    FAILED(6, "办理失败");

    public static final Integer CODE = 150;

    private Integer code;

    private String value;

    /**
     * 获取不算积分的状态集合
     *
     * @return list
     */
    public static List<Integer> getDisableStatusList() {
        List<Integer> disableStatusList = new ArrayList<>();
        disableStatusList.add(Dict150IntegralStatusEnum.GOT.getCode());
        disableStatusList.add(Dict150IntegralStatusEnum.EXPIRED.getCode());
        disableStatusList.add(Dict150IntegralStatusEnum.FAILED.getCode());
        disableStatusList.add(Dict150IntegralStatusEnum.NON_COMPLIANCE_WITH_ACTIVITY_RULES.getCode());
        return disableStatusList;
    }
}
