package com.gosingapore.common.enums.dict;

import lombok.Getter;

/**
 * @author baihaibo 2020/2/6 19:41
 */
public enum Dict26AuditStatusEnum implements IDictValue {
    /**
     * UNAUDITED：               待审核
     * AUDIT_APPROVAL：          审核通过
     * AUDIT_FAILED：            审核未通过
     */
    UNAUDITED(0),
    AUDIT_APPROVAL(1),
    AUDIT_FAILED(2);
    @Getter
    public static final Integer CODE = 26;
    @Getter
    private Integer value;

    Dict26AuditStatusEnum(Integer value) {
        this.value = value;
    }


    public static Dict26AuditStatusEnum valueOf(Integer value) {
        Dict26AuditStatusEnum[] values = Dict26AuditStatusEnum.values();
        for (Dict26AuditStatusEnum item : values) {
            if (item.value.equals(value)) {
                return item;
            }
        }
        return null;
    }

    @Override
    public Integer getCodeType() {
        return CODE;
    }
}
