package com.gosingapore.common.enums.dict;


import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

/**
 * @author zbw
 */
@SuppressWarnings("unused")
public enum Dict38CountryEnum {
    /**
     * 中国
     */
    CHINA(1, "中国"),
    /**
     * 新加坡
     */
    SINGAPORE(2, "新加坡"),
    /**
     * 马来西亚
     */
    MALAYSIA(3, "马来西亚"),
    /**
     * 越南
     */
    VIETNAM(4, "越南"),
    /**
     * 印度
     */
    INDIA(5, "印度"),
    /**
     * 缅甸
     */
    MYANMAR(6, "缅甸"),
    /**
     * 孟加拉
     */
    BENGAL(7, "孟加拉"),
    /**
     * 巴基斯坦
     */
    PAKISTAN(8, "巴基斯坦"),
    /**
     * 印度尼西亚
     */
    INDONESIA(9, "印度尼西亚"),
    /**
     * 菲律宾
     */
    PHILIPPINES(10, "菲律宾"),
    ;
    public static final Integer CODE = 38;
    private final Integer value;
    private final String name;

    Dict38CountryEnum(Integer value, String name) {
        this.value = value;
        this.name = name;
    }

    public Integer getValue() {
        return value;
    }

    public String getName() {
        return name;
    }

    public static Dict38CountryEnum get(Integer countryValue) {
        for (Dict38CountryEnum value : values()) {
            if (value.getValue().equals(countryValue)) {
                return value;
            }
        }
        return null;
    }

    public static String getNameByValue(Integer value) {
        for (Dict38CountryEnum item : values()) {
            if (item.getValue().equals(value)) {
                return item.getName();
            }
        }
        return null;
    }

    /**
     * 获取中国线 国家
     * @return 国家
     */
    public static List<Integer> getChinaLineCountry(){
        return Arrays.asList(CHINA.value,VIETNAM.value);
    }

    /**
     * 获取非中国线国家
     * @return 获取非中国线国家
     */
    public static List<Integer> getNonChinaLineCountry(){
        List<Integer> chinaLineCountry = getChinaLineCountry();
        List<Integer> nonChinaLineCountry = new ArrayList<>(values().length - chinaLineCountry.size());
        for (Dict38CountryEnum item : values()){
            if (!chinaLineCountry.contains(item.value)){
                nonChinaLineCountry.add(item.value);
            }
        }
        return nonChinaLineCountry;
    }
    /**
     * 获取马来线 国家
     * @return 国家
     */
    public static List<Integer> getJobMalaysiaLineCountry(){
        return Arrays.asList(MALAYSIA.value,SINGAPORE.value);
    }


    public static int size() {
        return Dict38CountryEnum.values().length;
    }
}
