package com.gosingapore.common.enums.dict;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 国际区号字典
 *
 * @author shuyan
 */

@SuppressWarnings("unused")
@AllArgsConstructor
public enum Dict50AreaCodeEnum {
    /**
     * 中国 China	1	86
     * 新加坡 Singapore	2	65
     * 马来西亚 Malaysia	3	60
     * 越南 Vietnam	4	84
     * 印度 India	5	91
     * 缅甸 Myanmar	6	95
     * 孟加拉 Bengal	7	880
     * 巴基斯坦 Pakistan	8	92
     * 印度尼西亚 Indonesia	9	62
     * 菲律宾 Philippines	10	63
     */
    CHINA(1, "86"),
    SINGAPORE(2, "65"),
    MALAYSIA(3, "60"),
    VIETNAM(4, "84"),
    INDIA(5, "91"),
    MYANMAR(6,"95"),
    BENGAL(7,"880"),
    PAKISTAN(8,"92"),
    INDONESIA(9,"62"),
    PHILIPPINES(10,"63");

    public static final int CODE = 50;
    @Getter
    private Integer value;
    @Getter
    private String code;

    public static String getCodeByValue(Integer value) {
        for (Dict50AreaCodeEnum dict50AreaCodeEnum : values()) {
            if (dict50AreaCodeEnum.value.equals(value)) {
                return dict50AreaCodeEnum.code;
            }
        }
        return null;
    }

    public static Dict50AreaCodeEnum getCodeByCode(String code) {
        for (Dict50AreaCodeEnum dict50AreaCodeEnum : values()) {
            if (dict50AreaCodeEnum.code.equals(code)) {
                return dict50AreaCodeEnum;
            }
        }
        return null;
    }
}
