package com.gosingapore.common.enums.dict;

/**
 * 在职状态标记字典
 * @author shuyan
 */

@SuppressWarnings("unused")
public enum Dict66UserJobStatusEnum {
    /**
     * WORKING：     在职
     * LEAVE：       离职
     * STAY：        停薪留职
     */
    WORKING(0,"在职"),
    LEAVE(1,"离职"),
    STAY(2,"停薪留职");

    public static final Integer CODE = 66;
    private final Integer value;
    private final String name;


    Dict66UserJobStatusEnum(Integer value,String name) {
        this.value = value;
        this.name = name;
    }

    public Integer getValue() {
        return value;
    }

    public String getName(){
        return name;
    }

    public static String getNameByValue(Integer value) {
        for (Dict66UserJobStatusEnum item : values()) {
            if (item.getValue().equals(value)) {
                return item.getName();
            }
        }
        return null;
    }
}
