package com.gosingapore.common.enums.dict;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author shengxue
 * @date 2020/10/23 14:10
 */
@AllArgsConstructor
public enum DictCodeTypeEnum {
    /**
     * 职级
     */
    RANK_CLASS(106),
    /**
     * 性别
     */
    GENDER(126),
    /**
     * 离职分类
     */
    RESIGNATION_CLASSIFICATION(153),
    /**
     * 员工状态
     */
    JOB_STATUS(157),
    /**
     * 最高学历
     */
    HIGHEST_EDUCATION(158),
    /**
     * 政治面貌
     */
    POLITICAL_STATUS(165),
    /**
     * 招聘方式
     */
    RECRUITMENT_METHOD(166),
    /**
     * 招聘渠道
     */
    RECRUITMENT_CHANNEL(167),
    /**
     * 婚姻状况
     */
    MARITAL_STATUS(168),
    /**
     * 生育状况
     */
    FERTILITY_STATUS(169),
    /**
     * 与本人关系
     */
    RELATIONSHIP(170),
    /**
     * 户口类型
     */
    ACCOUNT_TYPE(171),
    /**
     * 子女状况
     */
    CHILDREN_STATUS(172);

    @Getter
    final Integer value;

    public static DictCodeTypeEnum valueOf(Integer value){
        DictCodeTypeEnum[] values = DictCodeTypeEnum.values();
        for(DictCodeTypeEnum item : values){
            if(item.value.equals(value)){
                return item;
            }
        }
        return null;
    }
}
