package com.gosingapore.common.enums.procedure;

/**
 * 手续办理内容标记
 *
 * @author ZhangJinyu
 * @since 2020-08-04
 */
public enum ProcedureContentFlagEnum {
    /**
     * IPA
     */
    IPA("IPA"),
    /**
     * 开工时间
     */
    START_WORKING("START_WORKING"),
    /**
     * 待遇纸
     */
    TREATMENT_PAPER("TREATMENT_PAPER"),
    /**
     * 派遣合同
     */
    DISPATCH_CONTRACT("DISPATCH_CONTRACT"),
    /**
     * IPA收费
     */
    IPA_FEE("IPA_FEE"),
    /**
     * IPA类型
     */
    IPA_TYPE("IPA_TYPE"),
    /**
     * 护照号码
     */
    PASSPORT_NO("PASSPORT_NO"),
    /**
     * 人在新
     */
    IN_SINGAPORE("IN_SINGAPORE"),
    /**
     * 机票信息
     */
    AIR_TICKETS("AIR_TICKETS"),
    /**
     * ISSUE
     */
    ISSUE("ISSUE"),

    ;
    String contentFlag;

    ProcedureContentFlagEnum(String contentFlag) {
        this.contentFlag = contentFlag;
    }

    public String getContentFlag() {
        return contentFlag;
    }

    /**
     * 获取procedureContentFlagEnum实例
     *
     * @param contentFlag 内容标记
     * @return 返回procedureContentFlagEnum实例, 可为null
     */
    public static ProcedureContentFlagEnum get(String contentFlag) {
        for (ProcedureContentFlagEnum procedureContentFlagEnum : values()) {
            if (procedureContentFlagEnum.contentFlag.equalsIgnoreCase(contentFlag)) {
                return procedureContentFlagEnum;
            }
        }
        return null;
    }
}
