package com.gosingapore.common.enums.procedure;

import java.util.Collection;

/**
 * @author ZhangJinyu
 * @since 2020-11-23
 */
public enum ProcedureItemPermitEnum {
    /**
     * 编辑
     */
    EDIT(1),
    /**
     * 查看
     */
    VIEW(2);
    private final Integer permitCode;

    ProcedureItemPermitEnum(Integer permitCode) {
        this.permitCode = permitCode;
    }

    public static boolean canEdit(Integer permitCode) {
        return permitCode.equals(EDIT.permitCode);
    }

    public static boolean canEdit(Collection<Integer> permitCodes) {
        return permitCodes.contains(EDIT.permitCode);
    }

}
