package com.gosingapore.common.enums.procedure;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

/**
 * 手续办理事项呈现维度
 *
 * @author ZhangJinyu
 * @since 2020-05-12
 */
public enum ProcedureItemRevealDimenEnum {
    /**
     * 工人
     */
    WORKER(1),
    /**
     * 雇主
     */
    EMPLOYER(2);
    private static final List<Integer> REVEAL_DIMENS = new ArrayList<>(Arrays.asList(1, 2));
    final Integer revealDimen;

    ProcedureItemRevealDimenEnum(Integer revealDimen) {
        this.revealDimen = revealDimen;
    }

    public static ProcedureItemRevealDimenEnum get(Integer revealDimenType) {
        for (ProcedureItemRevealDimenEnum value : values()) {
            if (revealDimenType.equals(value.revealDimen)) {
                return value;
            }
        }
        return null;
    }

    public static List<Integer> getDimens() {
        return REVEAL_DIMENS;
    }

    public Integer getValue() {
        return this.revealDimen;
    }
}
