package com.gosingapore.common.enums.procedure;

/**
 * 手续办理值类型代码
 *
 * @author ZhangJinyu
 * @since 2020-05-07
 */
public enum ProcedureValueTypeEnum {
    /**
     * 无
     */
    NONE(""),
    /**
     * 直接从value表里读取
     */
    VALUES("VALUES"),
    /**
     * 系统字典
     */
    SYS_DICT("SYS_DICT");
    final String type;

    ProcedureValueTypeEnum(String type) {
        this.type = type;
    }

    public static ProcedureValueTypeEnum get(String valueType) {
        for (ProcedureValueTypeEnum value : values()) {
            if (value.type.equalsIgnoreCase(valueType)) {
                return value;
            }
        }
        return NONE;
    }

    public boolean isNone() {
        return this.equals(NONE);
    }

    public boolean isValues() {
        return this.equals(VALUES);
    }

    public boolean isSysDict() {
        return this.equals(SYS_DICT);
    }

    public String getValue() {
        return type;
    }
}
