package com.gosingapore.common.enums.resume;

import com.google.common.collect.ImmutableList;
import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.List;

/**
 * 邀约状态查询与简历对照  工人端
 *
 * @author ljq
 */
@AllArgsConstructor
public enum ResumeInviteCustomerStatusEnum {


    /**
     * INVITATION 已邀约：雇主发起邀约
     * PENDING_REPLY 待回复：等待雇主回复 工人同意后 -- 雇主同意前
     * TO_BE_INTERVIEWED 待面试：邀约面试
     * FORMALITIES 手续办理：已选中之后
     * END 已完结：已完成
     * REJECTED 已拒绝：雇主拒绝
     */
    INVITATION(1,ImmutableList.of(-1)),
    PENDING_REPLY(2, ImmutableList.of(1,12,24,34)),
    TO_BE_INTERVIEWED(3,ImmutableList.of(52)),
    FORMALITIES(4, ImmutableList.of(60, 66, 70)),
    END(5,ImmutableList.of(100)),
    REJECTED(6,ImmutableList.of(46));


    @Getter
    private Integer value;
    @Getter
    private List<Integer> list;

    public static ResumeInviteCustomerStatusEnum valueOf(Integer value) {
        for (ResumeInviteCustomerStatusEnum statusEnum : ResumeInviteCustomerStatusEnum.values()) {
            if (statusEnum.value.equals(value)) {
                return statusEnum;
            }
        }
        return null;
    }
}
