package com.gosingapore.common.model.domain;

import com.baomidou.mybatisplus.annotation.FieldStrategy;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.gosingapore.common.constants.RegExpConstants;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;
import lombok.experimental.Accessors;

import javax.validation.constraints.Pattern;
import java.io.Serializable;
import java.time.Instant;

/**
 * @author lsl
 * @date 2021-02-18 10:57
 */
@Data
@ToString
@Accessors(chain = true)
public class ErpSysUser implements Serializable {

    private static final long serialVersionUID = 1135563841717363188L;
    /**
     * 用户id，主键
     */
    @TableId(value = "user_id",type = IdType.AUTO)
    @ApiModelProperty("用户id")
    private Integer userId;
    /**
     * 自营企业id
     */
    @ApiModelProperty("自营企业id")
    private Integer companyId;
    /**
     * 企业微信用户id
     */
    @ApiModelProperty("企业微信用户id")
    private String weChatWorkUserId;
    /**
     * 区号id（50）
     */
    @ApiModelProperty("区号id（50）")
    private Integer areaCodeValue;
    /**
     * 手机号
     */
    @Pattern(regexp = RegExpConstants.MOBILE_FORMAT, message = "请输入正确格式的手机号")
    @ApiModelProperty("手机号")
    private String mobile;
    /**
     * 用户名
     */
    @ApiModelProperty("用户名")
    private String userName;
    /**
     * 成员别名
     */
    @ApiModelProperty("成员别名")
    private String alias;
    /**
     * 头像
     */
    @ApiModelProperty("头像")
    private String headPortrait;
    /**
     * 密码
     */
    @ApiModelProperty("密码")
    private String password;
    /**
     * 负责新加坡公司（100）
     */
    @ApiModelProperty("负责新加坡公司（100）")
    private Integer responsibleSgValue;
    /**
     * 在职员工状态（66）
     */
    @ApiModelProperty("在职员工状态（66）")
    private Integer jobStatusValue;
    /**
     * 星级
     */
    @ApiModelProperty("星级")
    private Integer starClass;
    /**
     * 等级（106）
     */
    @ApiModelProperty("等级（106）")
    private Integer gradeValue;
    /**
     * 入职时间
     */
    @ApiModelProperty("入职时间")
    private Instant entryTime;
    /**
     * 转正时间
     */
    @ApiModelProperty("转正时间")
    private Instant regularTime;
    /**
     * 离职时间
     */
    @ApiModelProperty("离职时间")
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private Instant quitTime;
    /**
     * 卡机id
     */
    @ApiModelProperty("卡机id")
    private String clockId;
    /**
     * 业务含带个人邀请码链接的二维码
     */
    @ApiModelProperty("业务含带个人邀请码链接的二维码")
    private String registerQrCode;
    /**
     * 企业微信删除标记（1）
     */
    @ApiModelProperty("企业微信删除标记（1）")
    private Integer weChatWorkDelFlagValue;
    /**
     * 软删除标记（1）
     */
    @ApiModelProperty("软删除标记（1）")
    private Integer delFlagValue;
    /**
     * 创建时间
     */
    @ApiModelProperty("创建时间")
    private Instant createTime;
    /**
     * 更新时间
     */
    @ApiModelProperty("更新时间")
    private Instant updateTime;

}
