package com.gosingapore.common.model.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import java.io.Serializable;

/**
 * 用户库容
 * @author lsl
 * @date 2021-03-03 14:28
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ToString
public class ErpUserStorageCapacity extends BaseDO implements Serializable {
    private static final long serialVersionUID = -6414440340059322041L;

    /**
     * 用户库容id
     */
    @TableId(value = "id",type = IdType.AUTO)
    @ApiModelProperty("用户库容id")
    private Integer id;

    /**
     * 用户id
     */
    @ApiModelProperty("用户id")
    private Integer userId;

    /**
     * 意向库库容
     */
    @ApiModelProperty("意向库库容")
    private Integer intentionStoreLimit;

    /**
     * 出单库库容
     */
    @ApiModelProperty("出单库库容")
    private Integer orderStoreLimit;

    /**
     * 已批库库容
     */
    @ApiModelProperty("已批库库容")
    private Integer approvedStoreLimit;
}
