package com.gosingapore.common.model.domain.cache.data;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.util.Date;

/**
 * @author copying
 * @version 3.0
 * @date 2021/3/11 9:27
 * 中国籍贯
 */
@Data
public class ErpIndustry {

  /**
   * 行业id
   */
  @TableId(value = "industry_id",type = IdType.AUTO)
  private Integer industryId;
  /**
   * 行业名称
   */
  @ApiModelProperty("行业名称")
  @NotNull(message = "请输入名称")
  private String industryChName;
  /**
   *英文名
   */
  private String industryEnName;
  /**
   *父级id
   */
  @ApiModelProperty("父级id  第一级 传0")
  @NotNull(message = "请选择父级id")
  private Integer parentId;
  /**
   *字典（code_type=2）启用禁用状态
   * 0	禁用
   * 1	启用
   */
  private Integer ableValue;
  /**
   * 图片
   */
  private String imageUrl;
  /**
   *分类数据的类型  1:行业分类  2:行业
   */
  @ApiModelProperty("父级id  第一级 传1 其它传2")
  private Integer typeValue;
  /**
   *创建时间
   */
  private Date createTime;
  /**
   *更新时间
   */
  private Date updateTime;

}
