package com.gosingapore.common.model.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @author copying
 * @version 3.0
 * @date 2021/3/19 9:36
 *
 * 组装树的 基础类
 */
@Data
public class BaseTreeDTO<T> implements Serializable {

    private static final long serialVersionUID = 1135563841717363188L;

    /**
     * 当前节点id
     */
    private Integer noteId;

    /**
     * 父节点id
     */
    private Integer parentId;

    /**
     * 子集
     */
    @ApiModelProperty("树的分支子集")
    private List<T> childList;
}
