package com.gosingapore.common.model.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * @author copying
 * @version 3.0
 * @date 2021/3/11 9:27
 * 地铁线路
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class ErpSubwayDTO extends BaseTreeDTO<ErpSubwayDTO> implements Serializable {

  private static final long serialVersionUID = 1135563841717363188L;
  /**
   * 地铁站点主键
   */
  @ApiModelProperty("地铁站点主键")
  private Integer subwayId;

  /**
   * 站点名 中
   */
  @ApiModelProperty("站点名 中")
  private String chName;

  /**
   * 站点名 英
   */
  @ApiModelProperty("站点名 英")
  private String enName;

  /** 站点名 (全) */
  @ApiModelProperty("站点名 (全)")
  private String name;

  /**
   * 同步 基础节点id
   */
  public void setSubwayId(Integer subwayId){
    this.subwayId = subwayId;
    super.setNoteId(subwayId);
  }

}
