package com.gosingapore.common.model.dto;

import com.baomidou.mybatisplus.core.metadata.IPage;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;

import java.io.Serializable;
import java.util.Collections;
import java.util.List;

/**
 * @author shuyan
 */
@Data
@SuppressWarnings("unused")
@ToString(callSuper = true)
public class PageDto<T> implements Serializable {
    private static final long serialVersionUID = -3578385501279104658L;

    /**
     * 查询数据列表
     */
    @ApiModelProperty("记录")
    private List<T> records = Collections.emptyList();
    /**
     * 总数，当 total 为 null 或者大于 0 分页插件不在查询总数
     */
    @ApiModelProperty("数据总数")
    private long total = 0;
    /**
     * 每页显示条数，默认 10
     */
    @ApiModelProperty("每页大小")
    private long size = 10;
    /**
     * 当前页
     */
    @ApiModelProperty("当前页")
    private long current = 1;
    /**
     * 总页数
     */
    @ApiModelProperty("总页数")
    private long pages = 0;

    public PageDto(IPage<T> iPage) {
        records = iPage.getRecords();
        total = iPage.getTotal();
        size = iPage.getSize();
        current = iPage.getCurrent();
        pages = iPage.getPages();
    }

    public PageDto() {
    }
}
