package com.gosingapore.common.model.dto;

import lombok.AllArgsConstructor;
import lombok.Data;

import java.util.List;

/**
 * @author lsl
 * @date 2020/11/24
 */
@Data
public class RobotDeclarationDTO {


    /**
     * 简历id
     */
    private String resumeId;

    /**
     * 业务名称
     */
    private String userName;

    /**
     * 工人id
     */
    private Integer customerId;

    /**
     * 工人名称
     */
    private String customerName;

    /**
     * 电文名称
     */
    private String dwName;

    /**
     * 电文别名
     */
    private String dwAlias;



    /**
     * 职位id
     */
    private Integer jobId;

    /**
     * 职位单号
     */
    private String jobCode;

    /**
     * 职位名称
     */
    private String jobName;

    /**
     * 职位分配 1一手单 2二手单  3cp伙伴单，4:cp非标单
     */
    private Integer jobType;


    /**
     * 收费
     */
    private String employerFee;

    /**
     * 原单描述
     */
    private String describe;

    /**
     * 备注
     */
    private String remark;

    /**
     * 用户角色   1 中国  2 马来
     */
    private Integer userRole;


    /**
     * 跳转URL
     */
    private String url;

    /**
     * 随机数
     */
    private long randomNum;

    /**
     * 国籍 判断是中国还是越南 1中国 4越南
     */
    private Integer countryValue;

    /**
     * 今日报单
     */
    private Integer todayBillingCount;

    /**
     * 费用的集合
     */
    private List<DeclarationDTO> declarationDTOList;

    @Data
    @AllArgsConstructor
    static class DeclarationDTO {

        /**
         * 国籍id
         */
        private Integer countryId;

        /**
         * 费用下线
         */
        private Integer agencyFeeMin;

        /**
         * 费用上线
         */
        private Integer agencyFeeMax;

        public DeclarationDTO(){

        }
    }
}
