package com.gosingapore.common.model.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * 用户基础信息
 * @author copying
 * @version 3.0
 * @date 2021/4/15 11:17
 */
@Data
public class UserBaseInfoDTO {

    /**
     * 主部门id
     */
    @ApiModelProperty(value = "主部门id",hidden = true)
    private Integer departId;
    /**
     * 在主部门中是否为上级 1上级 0无
     */
    @ApiModelProperty(value = "1上级 0无")
    private Integer isLeader;
    /**
     * 用户id
     */
    @ApiModelProperty("用户id")
    @NotNull(message = "用户id参数丢失")
    private Integer userId;
    /**
     * 用户账号
     */
    @ApiModelProperty("用户账号")
    @NotNull(message = "用户账号参数丢失")
    private String username;
    /**
     * 密码
     */
    @ApiModelProperty("密码")
    @NotNull(message = "密码不可为空")
    private String password;
}
