package com.gosingapore.common.model.dto.financial;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.Instant;
import java.util.List;


/**
 * @author copying
 * @date 2020/12/28
 */
@Data
public class IpaCustomerQuery implements Serializable {
    private static final long serialVersionUID = -9014488469072139341L;

    @ApiModelProperty("公司类型")
    private Integer companyType;

    @ApiModelProperty("部门id")
    private Integer departId;

    @ApiModelProperty("组别id")
    private Integer groupId;

    /** 实际的查询条件：用公司id,部门id,组别id 判断*/
    @ApiModelProperty(name = "部门ids", hidden = true)
    private List<Integer> departIds;

    @ApiModelProperty("工人姓名")
    private String customerName;

    @ApiModelProperty("业务姓名")
    private String ywName;

    @ApiModelProperty("开始日期")
    private Instant startTime;

    @ApiModelProperty("结束日期")
    private Instant endTime;

    @ApiModelProperty(name = "是否中文",hidden = true)
    private Boolean chineseLanguage;
}
