package com.gosingapore.common.model.dto.personnel;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.gosingapore.common.constants.RegExpConstants;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;
import lombok.experimental.Accessors;

import javax.validation.constraints.Pattern;
import java.io.Serializable;
import java.time.Instant;
import java.util.Date;

/**
 * @author shengxue
 * @date 2020/7/25
 */
@Data
@Accessors(chain = true)
@ToString
public class GsSysUserRecord implements Serializable {
    @TableId(value = "id", type = IdType.AUTO)
    @ApiModelProperty("员工ID")
    private Integer id;

    @ApiModelProperty("入职申请编号")
    private String spNo;

    @ApiModelProperty("从企业微信获取回来的userid")
    private String userId;

    @ApiModelProperty("编号")
    private String serialNumber;

    @ApiModelProperty("公司id")
    private Integer companyId;

    @ApiModelProperty("部门id")
    private Integer departmentId;

    @ApiModelProperty("组别id")
    private Integer groupId;

    @ApiModelProperty("职务")
    private String position;

    @ApiModelProperty("职级")
    private Integer rankClass;

    @ApiModelProperty("身份证姓名")
    private String name;

    @ApiModelProperty("别名")
    private String alias;

    @ApiModelProperty("员工状态")
    private Integer jobStatus;

    @ApiModelProperty("性别")
    private Integer gender;

    @ApiModelProperty("政治面貌")
    private Integer politicalStatus;

    @ApiModelProperty("民族")
    private String nation;

    @ApiModelProperty("招职方式")
    private Integer recruitmentMethod;

    @ApiModelProperty("招聘渠道")
    private Integer recruitmentChannels;

    @ApiModelProperty("离职时间")
    private Instant resignationTime;

    @ApiModelProperty("离职分类")
    private Integer resignationClassification;

    @ApiModelProperty("离职原因")
    private String leaveReason;

    @ApiModelProperty("入职时间")
    private Instant entryTime;

    @ApiModelProperty("转正时间")
    private Instant turnPositiveTime;

    @ApiModelProperty("五险")
    private Instant fiveInsurance;

    @ApiModelProperty("身份证号")
    private String idNumber;

    @ApiModelProperty("出生日期")
    private Date dateOfAppointment;

    @ApiModelProperty("年龄")
    private Integer old;

    @ApiModelProperty("最高学历")
    private Integer highestEducation;

    @ApiModelProperty("毕业学校")
    private String graduatedSchool;

    @ApiModelProperty("专业")
    private String profession;

    @ApiModelProperty("毕业时间")
    private Instant graduationTime;

    @ApiModelProperty("初次参加工作年份")
    private String firstTimeToWork;

    @ApiModelProperty("开户银行")
    private String bankAccount;

    @ApiModelProperty("银行卡号")
    private String bankCardNumber;

    @Pattern(regexp = RegExpConstants.MOBILE_FORMAT, message = "请输入正确格式的手机号")
    @ApiModelProperty("本人手机号")
    private String mobile;

    @ApiModelProperty("籍贯")
    private String homeTown;

    @ApiModelProperty("户口所在地")
    private String location;

    @ApiModelProperty("现住址")
    private String currentAddress;

    @ApiModelProperty("户口类型")
    private Integer accountType;

    @ApiModelProperty("婚姻状况")
    private Integer maritalStatus;

    @ApiModelProperty("生育状况")
    private Integer fertilityStatus;

    @ApiModelProperty("子女状况")
    private Integer childrenStatus;

    @ApiModelProperty("紧急联系人")
    private String emergencyContact;

    @ApiModelProperty("与本人关系")
    private Integer relationship;

    @Pattern(regexp = RegExpConstants.MOBILE_FORMAT, message = "请输入正确格式的手机号")
    @ApiModelProperty("紧急联系人电话")
    private String emergencyMobile;

    @ApiModelProperty("个人照片")
    private String personalPhoto;

    @ApiModelProperty("身份证正面照片")
    private String frontPhotoOfIdCard;

    @ApiModelProperty("身份证反面照片")
    private String idCardReversePhoto;

    @ApiModelProperty("银行卡正面照片")
    private String frontPhotoOfBankCard;

    @ApiModelProperty("银行卡反面照片")
    private String bankCardReversePhoto;

    @ApiModelProperty("毕业证")
    private String certificate;

    @ApiModelProperty("固定资产硬件设备")
    private String assetPhone;

    @ApiModelProperty("固定资产微信")
    private String assetWeChat;

    @ApiModelProperty("固定资产QQ")
    private String assetQq;

    @ApiModelProperty("固定资产FACEBOOK")
    private String assetFaceBook;

    @ApiModelProperty("其他资产")
    private String otherAsset;

    @ApiModelProperty("备注")
    private String remark;

    @ApiModelProperty("创建时间")
    private Instant createTime;

    @ApiModelProperty("更新时间")
    private Instant updateTime;


}
