package com.gosingapore.common.model.entity;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;

import java.io.Serializable;

/**
 * @author guocong
 * @date 2020/1/10 14:05
 */
@Data
@ToString
public class GsSwitchSetting implements Serializable {
    private static final long serialVersionUID = -7540043486166111701L;
    @ApiModelProperty("主键")
    private Integer id;

    @ApiModelProperty("上传视频大小 单位M")
    private Integer videoSize;

    @ApiModelProperty("上传图片大小，单位M")
    private Integer imgSize;

    @ApiModelProperty("上传文件大小 单位M")
    private Integer fileSize;

    @ApiModelProperty("中国电文意向库限制,小于等于0为不限制")
    private Integer cnDwIntentionStoreLimit;

    @ApiModelProperty("中国电文出单库限制,小于等于0为不限制")
    private Integer cnDwOrderStoreLimit;

    @ApiModelProperty("中国电文已批库限制,小于等于0为不限制")
    private Integer cnDwApprovedStoreLimit;

    @ApiModelProperty("马来电文意向库限制,小于等于0为不限制")
    private Integer mlDwIntentionStoreLimit;

    @ApiModelProperty("马来电文出单库限制,小于等于0为不限制")
    private Integer mlDwOrderStoreLimit;

    @ApiModelProperty("马来电文已批库限制,小于等于0为不限制")
    private Integer mlDwApprovedStoreLimit;

    @ApiModelProperty("鸿跃logo")
    private String hyLogo;

    @ApiModelProperty("前程logo")
    private String qcLogo;

    @ApiModelProperty("地推积分提现最大值")
    private Integer popularizeIntegral;

    @ApiModelProperty("地推工人求职获得积分数(中国)")
    private Integer popularizeCustomerIntegralCh;

    @ApiModelProperty("地推工人求职获得积分数(马来)")
    private Integer popularizeCustomerIntegralMl;

    @ApiModelProperty("中国地推过期时间")
    private Integer popularizePastTimeCh;

    @ApiModelProperty("马来地推过期时间")
    private Integer popularizePastTimeMl;

    @ApiModelProperty("工人vip校验中文提示")
    private String customerVipChText;

    @ApiModelProperty("工人vip校验英文提示")
    private String customerVipEnText;

    @ApiModelProperty("雇主随机分配计划")
    private Integer employerAllocationPlan;

    @ApiModelProperty("随机分配得雇主，百分之多少分给erp（有效值：0~100）")
    private Integer employerAllocationRatio;

    @ApiModelProperty("地推积分提现时间范围次数限制")
    private Integer popularizeCashOutConfigur;

    @ApiModelProperty("合伙人邀请雇主注册地址")
    private String employerRegUrl;

    @ApiModelProperty("合伙人邀请帮手注册地址")
    private String partnerRegUrl;

    @ApiModelProperty("服务端用户默认头像")
    private String serverHeadPortrait;

    @ApiModelProperty("消费端用户默认头像")
    private String consumerHeadPortrait;

    @ApiModelProperty("工人随机分配计划，字典值同雇主")
    private Integer customerAllocationPlan;

    @ApiModelProperty("随机分配得工人，百分之多少分给erp（有效值：0~100）")
    private Integer customerAllocationRatio;

    @ApiModelProperty("地推工人出国反悔时间限制")
    private Integer popularizeRegretTime;
}
