package com.gosingapore.common.model.query.team;

import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * 组员库 查询条件
 * @author copying
 * @version 3.0
 * @date 2021/4/17 13:57
 */
@Data
public class TeamUserQuery {
    /**
     * 每页显示条数，默认 10
     */
    @ApiParam(value = "每页大小", example = "10")
    private long size = 10;
    /**
     * 当前页
     */
    @ApiParam(value = "当前页", example = "1")
    private long current = 1;

    @ApiModelProperty(value = "用户id",hidden = true)
    private Integer userId;

    @ApiModelProperty("部门id")
    private Integer departId;

    @ApiModelProperty("指定要查询的组员")
    private List<Integer> userIds;

    @ApiModelProperty("1电文 2业务")
    private Integer roleValue;

    @ApiModelProperty(value = "角色",hidden = true)
    private List<String> roleCodes;

    @ApiModelProperty("姓名")
    private String name;

    @ApiModelProperty("员工状态")
    private Integer status;

    @ApiModelProperty("入职时间,开始")
    private Date startTime;

    @ApiModelProperty("入职时间结束")
    private Date endTime;
}
