package com.gosingapore.common.model.vo.financial;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.Instant;

/**
 * 财务总收费
 *
 * @author fangqiguang
 * @date 2020/6/11
 */

@Data
public class CustomerTotalFeeVo {

    @ApiModelProperty("投递id")
    private Integer resumeId;

    @ApiModelProperty("总收费单id")
    private Integer chargeId;

    @ApiModelProperty("主流水号")
    private String serialNumber;

    @ApiModelProperty("工人id")
    private Integer customerId;

    @ApiModelProperty("工人姓名")
    private String customerName;

    @ApiModelProperty("工人中文姓名")
    private String customerChName;

    @ApiModelProperty("工人英文姓名")
    private String customerEnName;

    @ApiModelProperty("工人国籍")
    private String countryName;

    @ApiModelProperty("业务id")
    private Integer salemanId;

    @ApiModelProperty("业务姓名")
    private String saleman;

    @ApiModelProperty("文员或电文id")
    private Integer commissionerId;

    @ApiModelProperty("文员或电文姓名")
    private String commissioner;

    @ApiModelProperty("应收总金额(返利)")
    private String totalChargeAndRebate;

    @ApiModelProperty("保证金或者报名费")
    private String bondOrRegistrationFee;

    @ApiModelProperty("中国尾款")
    private String chinaTailFee;

    @ApiModelProperty("新加坡尾款")
    private String singaporeTailFee;

    @ApiModelProperty("分期总费用")
    private String installmentFee;

    @ApiModelProperty("申请费")
    private String applicationFee;

    @ApiModelProperty("会计确认时间")
    private Instant accountingTime;

    @ApiModelProperty("会计确认人")
    private String accounting;

    @ApiModelProperty("会计确认状态0 未确认 1已确认 2驳回")
    private Integer accountingStatus;

    @ApiModelProperty("会计确认状态0 未确认 1已确认 2驳回")
    private String accountingStatusName;

    @ApiModelProperty("出纳确认结账时间")
    private Instant cashierTime;

    @ApiModelProperty("出纳确认人")
    private String cashier;

    @ApiModelProperty("出纳确认状态0 未确认 1已确认 2驳回")
    private Integer cashierStatus;

    @ApiModelProperty("出纳确认状态0 未确认 1已确认 2驳回")
    private String cashierStatusName;

    @ApiModelProperty("会计确认结账时间和姓名")
    private String accountingTimeAndAccounting;

    @ApiModelProperty("出纳确认时间和姓名")
    private String cashierTimeAndCashier;

    @ApiModelProperty("最终确认状态0 未确认 1已确认 2驳回")
    private Integer optStatus;

    @ApiModelProperty("最终确认状态0 未确认 1已确认 2驳回")
    private String optStatusName;

    @ApiModelProperty("确认结账时间和确认人")
    private String optTimeAndOptUser;

    @ApiModelProperty("办理状态(0未完结,1完结,2作废)")
    private Integer processStatus;

    @ApiModelProperty("办理状态中文")
    private String processStatusName;

    @ApiModelProperty("新加坡费用")
    private String singapore;

    @ApiModelProperty("币种")
    private Integer currency;

    @ApiModelProperty("做工时间")
    private String startWorkTime;
}
