package com.gosingapore.common.model.vo.financial;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.Instant;
import java.util.List;

/**
 * @author copying
 * @date 2020-12-28
 */
@Data
public class IpaCustomerVo implements Serializable {


    @ApiModelProperty(name = "投递id",hidden = true)
    private Integer resumeId;

    @ApiModelProperty(name = "职位类型erp1 cp3",hidden = true)
    private Integer jobType;

    @ApiModelProperty("工人id")
    private Integer customerId;

    @ApiModelProperty("工人名称")
    private String customerName;

    /** 标签中的数据*/
    @ApiModelProperty("籍贯")
    private String nativePlace;

    @ApiModelProperty("证件类型:1-身份证 2-护照")
    private Integer documentValue;

    @ApiModelProperty("证件号:身份证号/护照号")
    private String identityId;

    /** 查询手续办理中的护照*/
    @ApiModelProperty("护照号码")
    private String passportNumber;

    @ApiModelProperty("职位id")
    private Integer jobId;

    @ApiModelProperty("职位名称")
    private String jobName;

    /** 业务填写的总收费（报名费，申请费，新加坡费用。其中报名费和申请费是中国费用。
     *
     * */
    @ApiModelProperty("工人收费")
    private IpaCustomerCharge customerCharge;

    /** 中国越南职位的雇主补贴费用*/
    @ApiModelProperty("雇主补贴")
    private Double employerFee;

    @ApiModelProperty("批文日期")
    private Instant ipaTime;

    /** 手续办理中的申请公司*/
    @ApiModelProperty("对接公司名字")
    private String employmentAgency;

    @ApiModelProperty("电文、文员id")
    private Integer dwId;

    @ApiModelProperty("电文名字")
    private String dwName;

    @ApiModelProperty("业务id")
    private Integer ywId;

    @ApiModelProperty("业务名字")
    private String ywName;

    @ApiModelProperty("组长id")
    private Integer leaderId;

    @ApiModelProperty("组长名字")
    private String leaderName;

    /** 航班到达时间 */
    @ApiModelProperty("入境时间")
    private String flightArrivalTime;

    @ApiModelProperty("协议书")
    private String issue;

    @ApiModelProperty("已签字待遇纸")
    private List<String> signedJobConfirmationLetter;

    @ApiModelProperty("批文IPA")
    private String ipa;
}
