package com.gosingapore.common.processor;

import com.cloud.gs.hiring.base.util.ApiResult;
import com.cloud.gs.hiring.base.util.ResponseCode;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.springframework.security.core.AuthenticationException;
import org.springframework.security.web.AuthenticationEntryPoint;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;

import static com.cloud.gs.hiring.base.util.ResponseCode.PERMISSION_UNAUTHORIZED;

/**
 * @author C.K
 * @date 2018/10/12 10:31
 * 自定义AuthExceptionEntryPoint用于token校验失败返回信息
 */
public class AuthExceptionEntryPoint implements AuthenticationEntryPoint {

    @Override
    public void commence(HttpServletRequest request, HttpServletResponse response,
                         AuthenticationException authException)
            throws IOException {
        response.setContentType("application/json;charset=UTF-8");
        ResponseCode instance = ResponseCode.instance(PERMISSION_UNAUTHORIZED);
        response.setStatus(instance.getStatus().value());
        response.getWriter().write(new ObjectMapper().writeValueAsString(new ApiResult<>(instance)));
    }
}
