package com.gosingapore.common.processor;

import com.cloud.gs.hiring.base.util.ApiResult;
import com.cloud.gs.hiring.base.util.ResponseCode;
import com.fasterxml.jackson.databind.ObjectMapper;
import lombok.extern.slf4j.Slf4j;
import org.springframework.security.access.AccessDeniedException;
import org.springframework.security.web.access.AccessDeniedHandler;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;

import static com.cloud.gs.hiring.base.util.ResponseCode.PERMISSION_UNAUTHORIZED;

/**
 * @author shuyan
 * 授权失败(forbidden)时返回信息
 */
@Slf4j
public class CustomAccessDeniedHandler implements AccessDeniedHandler {

    @Override
    public void handle(HttpServletRequest request, HttpServletResponse response, AccessDeniedException accessDeniedException) throws IOException {
        log.info("授权失败, 禁止访问{}", request.getRequestURI());
        response.setContentType("application/json;charset=UTF-8");
        ResponseCode instance = ResponseCode.instance(PERMISSION_UNAUTHORIZED);
        response.setStatus(instance.getStatus().value());
        response.getWriter().write(new ObjectMapper().writeValueAsString(new ApiResult<>(instance)));
    }
}


