package com.gosingapore.common.processor;

import lombok.extern.slf4j.Slf4j;
import org.hibernate.validator.internal.engine.messageinterpolation.parser.MessageDescriptorFormatException;
import org.hibernate.validator.messageinterpolation.ResourceBundleMessageInterpolator;
import org.springframework.context.i18n.LocaleContextHolder;

/**
 * 重写参数校验的资源绑定器的interpolate方法，获取语言时根据指定的语言返回信息，使其支持国际化
 * @author shuyan
 */
@Slf4j
public class MyResourceBundleMessageInterpolator extends ResourceBundleMessageInterpolator {
    @Override
    public String interpolate(String message, Context context) {
        String interpolatedMessage = message;
        try {
            interpolatedMessage = interpolate( message, context, LocaleContextHolder.getLocale());
        }
        catch (MessageDescriptorFormatException e) {
            log.warn( e.getMessage());
        }
        return interpolatedMessage;
    }
}
