package com.gosingapore.common.properties;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.cloud.context.config.annotation.RefreshScope;
import org.springframework.stereotype.Component;

import java.util.ArrayList;
import java.util.List;

/**
 * @author C.K
 * @date 2018/10/15 15:31
 * 过滤URL属性配置类
 */
@Data
@Component
@RefreshScope
@ConfigurationProperties(prefix = "ignore")
public class IgnoreUrlProperties {
    private List<String> serverUrls = new ArrayList<>();
    private List<String> commonUrls = new ArrayList<>();

    public List<String> getUrls(){
        List<String> urls = new ArrayList<>(serverUrls);
        urls.addAll(commonUrls);
        return urls;
    }
}
