package com.gosingapore.common.properties.robot;

import lombok.Data;
import lombok.ToString;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * @author lsl
 * @date 2020/12/1
 */
@ConfigurationProperties(prefix = "wechat-robot.declaration-from")
@Data
@Component
@ToString
public class RobotDeclarationProperties {

    /**
     * 中国业务报单群
     */
    private List<String> chYwDeclaration;

    /**
     * 中国电文报单群
     */
    private List<String> chDwDeclaration;

    /**
     * 马来业务报单群
     */
    private List<String> mlYwDeclaration;

    /**
     * 马来电文报单群
     */
    private List<String> mlDwDeclaration;

    /**
     * 马来报单群模板
     */
    private String mlDeclarationTemplate;

    /**
     * 中国报单群模板
     */
    private String chDeclarationTemplate;

    /**
     * 跳转erp 中国业务 链接
     */
    private String erpChYwUrl;

    /**
     * 跳转erp 中国电文 链接
     */
    private String erpChDwUrl;

    /**
     * 跳转erp 越南电文 链接
     */
    private String erpYnDwUrl;

    /**
     * 跳转cp链接
     */
    private String cpUrl;
}
