package com.gosingapore.common.properties.robot;

import lombok.Data;
import lombok.ToString;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * @author lsl
 * @date 2020/12/18
 */
@ConfigurationProperties(prefix = "wechat-robot.interview")
@Data
@Component
@ToString
public class RobotInterviewProperties {

    /**
     * 前程第一事业部
     */
    private List<String> mlDeptOne;

    /**
     * 前程第三事业部
     */
    private List<String> mlDeptThree;

    /**
     * 中国电文面试通知
     */
    private List<String> chDwInterViewNotice;

    /**
     * 中国业务面试通知
     */
    private List<String> chYwInterviewNotice;

    /**
     * 马来业务通知
     */
    private List<String> mlYwInterviewNotice;

    /**
     * 前程第一事业部 负责人Id
     */
    private Integer userDeptOne;

    /**
     * 前程第三事业部 负责人Id
     */
    private Integer userDeptThree;

    /**
     * 马来模板
     */
    private String mlInterviewTemplate;

    /**
     * 中国模板
     */
    private String chInterviewTemplate;

    /**
     * erp中国业务跳转链接
     */
    private String erpChYwUrl;

    /**
     * erp中国电文跳转链接
     */
    private String erpChDwUrl;


    /**
     * erp越南电文跳转链接
     */
    private String erpYnDwUrl;

    /**
     * cp跳转链接
     */
    private String cpUrl;



}
