package com.gosingapore.common.properties.robot;

import com.gosingapore.common.properties.WeChatGroupTemplateWebhook;
import lombok.Data;
import lombok.ToString;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.PropertySource;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * 职位上线专用，其他机器人的属性不要写在这个类里。
 * 自己新建一个测试类
 * @author: QiWenXiao
 */
@ConfigurationProperties(prefix = "wechat-robot.job-online-group")
@Data
@Component
@ToString
public class WeChatRobotProperties {

    /**
     * 中国(前程28楼)消息模板
     */
    private String chQcTemplate;
    /**
     * 中国(鸿越29楼)消息模板
     */
    private String chHyTemplate;

    /**
     * 马来消息模板
     */
    private String mlTemplate;

    /**
     * 29楼
     */
    private List<String> hyChGroup;

    /**
     * 28楼
     */
    private List<String> qcChGroup;

    /**
     * 29楼
     */
    private List<String> hyMlGroup;
    /**
     * 28楼
     */
    private List<String> qcMlGroup;

    /**
     * 一手单
     */
    private String selfStandardUrl;
    /**
     * 二手单
     */
    private String selfNonstandardUrl;
    /**
     * 伙伴标准
     */
    private String partnerStandardUrl;
    /**
     * 伙伴非标
     */
    private String partnerNonstandardUrl;
    /**
     * 中国职位上线限制次数
     */
    private Integer limitChTheNumberOfJobOnline;
    /**
     * 马来职位上线限制次数
     */
    private Integer limitMlTheNumberOfJobOnline;
    /**
     * 单条消息要发送到几个群
     */
    private Integer theNumberOfASingleMessageToBeSentToTheGroup;
    /**
     * 机器人消息模板及Webhook
     */
    private List<WeChatGroupTemplateWebhook> templateWebhooks;
}
