package com.gosingapore.common.util;

import com.cloud.gs.hiring.base.util.ResponseCode;
import com.gosingapore.common.exception.CustomizeException;
import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.extern.slf4j.Slf4j;

import java.math.BigDecimal;

/**
 * 中介费用计算器
 *
 * @author zq
 * @date 2020.10.06
 */
@Slf4j
public class AgencyFeeCalculator {
    //薪水
    private int salary;
    //住补
    private int LivePay;
    //每月实际工作小时数
    private int overtime;
    /**
     * 暂时不知道
     */
    private static final String AINT = "2288";
    /**
     * 暂时不知道
     */
    private static final String BINT = "18";

    /**
     * 用餐时间
     */
    private static final String DININGTIME = "192";

    /**
     * 计算"参考中介费用"
     * 2 * ((AINT * salary / (AINT + BINT * (overtime - DININGTIME))) + livePay)
     * @return
     */
    public static CalculationResults removeOtAndAgencyFee(String salary, String livePay, String overtime) {
        if (Double.valueOf(salary).intValue() <= 0 || Double.valueOf(salary).intValue() < 0 || Double.valueOf(salary).intValue() < 0) {
            throw new CustomizeException(ResponseCode.COMMON_INVALID_PARAM);
        }
        //参考中介费用
        BigDecimal mul = ArithmeticUtils.mul(AINT, salary);
        BigDecimal dining = ArithmeticUtils.sub(overtime, DININGTIME);
        BigDecimal multiply = dining.multiply(new BigDecimal(BINT));
        BigDecimal sub = multiply.add(new BigDecimal(AINT));
        BigDecimal div = mul.divide(sub,3, BigDecimal.ROUND_DOWN);
        BigDecimal result = div.add(new BigDecimal(livePay)).multiply(new BigDecimal("2")).setScale(0,BigDecimal.ROUND_DOWN);
        return new CalculationResults(result);
    }


    @Getter
    @AllArgsConstructor
    public static class CalculationResults {
        //参考中介费用
        private BigDecimal referenceAgencyFee;
    }

}
