package com.gosingapore.common.util;

import org.springframework.beans.BeansException;
import org.springframework.context.ApplicationContext;
import org.springframework.context.ApplicationContextAware;
import org.springframework.context.ApplicationEvent;
import org.springframework.stereotype.Component;

/**
 * @author qiwenxiao
 * @date 2020/9/25 11:11
 */
@Component
public class ApplicationContextUtil implements ApplicationContextAware {

    private static ApplicationContext applicationContext;

    @Override
    public void setApplicationContext(ApplicationContext applicationContext) throws BeansException {
        ApplicationContextUtil.applicationContext = applicationContext;
    }

    public static <T> T getBean(String beanName, Class<T> beanType){
        assertContextIsNull();
        return applicationContext.getBean(beanName,beanType);
    }

    public static <T> T getBean(Class<T> beanType) {
        assertContextIsNull();
        return applicationContext.getBean(beanType);
    }
    public static Object getBean(String beanName) {
        assertContextIsNull();
        return applicationContext.getBean(beanName);
    }

    public static ApplicationContext getContext() {
        return applicationContext;
    }

    public static void publishEvent(ApplicationEvent event) {
        assertContextIsNull();
        applicationContext.publishEvent(event);
    }

    private static void assertContextIsNull() {
        if (applicationContext == null) {
            throw new NullPointerException("Spring容器未注册到工具类中");
        }
    }
}
