package com.gosingapore.common.util;

import java.lang.reflect.Field;
import java.lang.reflect.Method;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

/**
 * @author shuyan
 * @date 2020/9/2 15:43
 */
public class MyBeanUtil {
    /**
     * 是否实体类得所有get属性都为空
     * @param obj 实体对象
     * @return 结构
     */
    public static Boolean allGetFieldsIsNull(Object obj){
        Class<?> objClass = obj.getClass();
        Field[] fields = objClass.getDeclaredFields();
        List<String> getMethods = new ArrayList<>();
        new ArrayList<>(Arrays.asList(fields)).forEach(field -> getMethods.add("get" + field.getName().substring(0, 1).toUpperCase() + field.getName().substring(1)));
        Method[] methods = objClass.getMethods();
        for (Method method : methods){
            if(getMethods.contains(method.getName()) && method.getParameterCount() == 0){
                try {
                    Object val = method.invoke(obj);
                    if(val != null){
                        return false;
                    }
                }catch (Exception e){
                    return null;
                }
            }
        }
        return true;
    }
}
