package com.gosingapore.common.util;

import org.apache.commons.lang3.StringUtils;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;
import java.lang.reflect.Field;

/**
 * @author zbw
 * @date 2020-01-11
 **/
@Component
public class ResourceUtil {

    /**
     * 验证某个实体是否所有字段均为空值，只要有一个字段存在值就为false
     *
     * @param object 需要验证的实体
     * @return 返回真假值
     */
    public static boolean checkObjAllFieldsIsNull(Object object) {
        if (null == object) {
            return true;
        }
        try {
            for (Field f : object.getClass().getDeclaredFields()) {
                f.setAccessible(true);
                if (f.get(object) != null && StringUtils.isNotBlank(f.get(object).toString())) {
                    return false;
                }

            }
        } catch (Exception e) {
            e.printStackTrace();
        }
        return true;
    }

    public static boolean checkObjFieldIsNull(Object obj) throws IllegalAccessException {
        for(Field f : obj.getClass().getDeclaredFields()){
            f.setAccessible(true);
            if(f.get(obj) == null || "".equals(f.get(obj))){
                return true;
            }
        }
        return false;
    }

    public static Object resetObjFields(Object obj) throws IllegalAccessException {
        for(Field f : obj.getClass().getDeclaredFields()){
            f.setAccessible(true);
            if(f.get(obj) == null){
                f.set(obj, "");
            }
        }
        return obj;
    }

    public static boolean validIntegerValue(Integer val) {
        return val != null && val != 0;
    }
}
