package com.gosingapore.common.util;

import com.cloud.gs.hiring.base.util.ResponseCode;
import com.gosingapore.common.constants.CommonConstants;
import com.gosingapore.common.exception.CustomizeException;
import lombok.extern.slf4j.Slf4j;
import org.springframework.data.redis.core.RedisTemplate;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;

/**
 * @author guocong
 * @date 2020/1/15 11:54
 */
@Slf4j
@Component
public class VerCodeUtil {
    @Resource
    private RedisTemplate<String, Object> redisTemplate;

    public void checkVerCode(String mobile,String userVerCode) {
        Object redisVerCode = redisTemplate.opsForValue().get(CommonConstants.REDIS_SMS_CODE_PREFIX + mobile);
        if (redisVerCode == null) {
            log.info("验证码已过期;mobile：{}", mobile);
            throw new CustomizeException(ResponseCode.VERIFICATION_CODE_EXPIRED, "验证码已过期!", "Verification code has expired!");
        }
        if (!redisVerCode.equals(userVerCode)) {
            log.info("验证码错误;mobile：{}", mobile);
            throw new CustomizeException(ResponseCode.VERIFICATION_CODE_ERROR, "验证码错误!", "Verification code error!");
        }
    }
}
