package com.gosingapore.common.util.saleafter;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.gosingapore.common.enums.procedure.ProcedureContentFlagEnum;
import com.cloud.gs.hiring.common.mapper.saleafter.GsSaleAfterTrainingAbroadMapper;
import com.cloud.gs.hiring.common.model.entity.GsResumeProcedureItem;
import com.cloud.gs.hiring.common.model.entity.saleafter.GsSaleAfterTrainingAbroad;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.util.CollectionUtils;
import org.springframework.util.ObjectUtils;

import javax.annotation.Resource;
import java.time.Instant;
import java.util.List;
import java.util.Objects;

/**
 * @author fangqiguang
 * @date 2020/8/11
 */
@Slf4j
@Component
public class TrainingAbroadUtil {

    @Resource
    private GsSaleAfterTrainingAbroadMapper gsSaleAfterTrainingAbroadMapper;

    @Transactional(rollbackFor = Exception.class)
    public void saveResumeIdToTrainingAbroad(Integer resumeId, GsResumeProcedureItem gsResumeProcedureItem, ProcedureContentFlagEnum flagEnum) {
        if (Objects.isNull(resumeId)) {
            return;
        }
        if (ObjectUtils.isEmpty(gsResumeProcedureItem)) {
            return;
        }

        GsSaleAfterTrainingAbroad abroad = gsSaleAfterTrainingAbroadMapper.selectOne(
                new QueryWrapper<GsSaleAfterTrainingAbroad>().lambda().eq(GsSaleAfterTrainingAbroad::getResumeId, resumeId));
        if (ObjectUtils.isEmpty(abroad)) {
            abroad = new GsSaleAfterTrainingAbroad();
            Instant value1 =gsResumeProcedureItem.getCompleteTime();
            abroad.setIpaDate(value1.toString());
            abroad.setResumeId(resumeId);
            gsSaleAfterTrainingAbroadMapper.insert(abroad);
        }
        // 获取投递中售后需要的信息(值可能有多个,但需要的信息值只有一个)
        List<String> values=gsSaleAfterTrainingAbroadMapper.findProcedureItemValue(resumeId,flagEnum.getContentFlag());
        if (CollectionUtils.isEmpty(values) || values.size() != 1) {
            return;
        }
        String value = values.get(0);

        switch (flagEnum) {
            case PASSPORT_NO:
                abroad.setPassportNo(value);
                gsSaleAfterTrainingAbroadMapper.updateById(abroad);
                break;
            case IPA_TYPE:
                abroad.setIpaType(value);
                gsSaleAfterTrainingAbroadMapper.updateById(abroad);
                break;
            case AIR_TICKETS:
                abroad.setEntryDate(value);
                gsSaleAfterTrainingAbroadMapper.updateById(abroad);
                break;
            case START_WORKING:
                abroad.setWorkTime(value);
                gsSaleAfterTrainingAbroadMapper.updateById(abroad);
                break;
            case IN_SINGAPORE:
                abroad.setInSingapore(value);
                gsSaleAfterTrainingAbroadMapper.updateById(abroad);
                break;
            default:
                break;
        }
    }


}
