package com.gosingapore.log.annotation;

import java.lang.annotation.*;

/**
 * 日志注解
 * @author lsl
 * @date 2021-03-11 9:53
 */
@Target({ ElementType.PARAMETER, ElementType.METHOD })
@Retention(RetentionPolicy.RUNTIME)
@Documented
public @interface Log {

    /**
     * 所属模块
     * @return
     */
    String title() default "";

    /**
     * 操作内容
     */
    String content() default "";

    /**
     * 是否保存请求参数
     * @return
     */
    boolean isSaveRequestData() default true;
}
